# StackPush

This function pushes an integer on the stack.

### Synopsis

    #include "petsc.h"
    PetscErrorCode StackPush(IntStack stack, int item)

Not Collective

### Input Parameters

| stack | - The stack
| item | - The integer to push

### Keywords

log, stack, push

### See Also

StackCreate(), StackDestroy(), StackEmpty(), StackPop(), StackTop()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages